## ros-foxy-ros2component 0.9.13

=== debian/changelog ===
ros-foxy-ros2component (0.9.13-1focal) focal; urgency=high

  * Added changelogs
  * Fix the component load help to mention load, not unload. (#756 <https://github.com/ros2/ros2cli/issues/756>) (#759 <https://github.com/ros2/ros2cli/issues/759>)
  * Contributors: Chris Lalancette, Dharini Dutia, mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-ros2component (0.9.12-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-ros2component (0.9.11-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-ros2component (0.9.10-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-ros2component (0.9.9-1focal) focal; urgency=high

  * 0.9.9
  * Contributors: Audrow Nash

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 24 Mar 2021 00:00:00 -0000

ros-foxy-ros2component (0.9.8-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.7-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.6-1focal) focal; urgency=high

  * Ensure consistent timeout in ros2component list. (#526 <https://github.com/ros2/ros2cli/issues/526>) (#539 <https://github.com/ros2/ros2cli/issues/539>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.5-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.4-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.3-1focal) focal; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 13 May 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.2-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.1-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 06 May 2020 00:00:00 -0000

ros-foxy-ros2component (0.9.0-1focal) focal; urgency=high

  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * only load required entry points which improves the performance (#436 <https://github.com/ros2/ros2cli/issues/436>)
  * Contributors: Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-ros2component (0.8.6-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ros2component (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 14 Nov 2019 00:00:00 -0000

ros-foxy-ros2component (0.8.4-1focal) focal; urgency=high

  * 0.8.4
  * add service clients to ros2node info (#392 <https://github.com/ros2/ros2cli/issues/392>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-ros2component (0.8.3-1focal) focal; urgency=high

  * 0.8.3
  * [ros2node] Add option to info verb to display hidden names (#373 <https://github.com/ros2/ros2cli/issues/373>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-ros2component (0.8.2-1focal) focal; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Oct 2019 00:00:00 -0000

ros-foxy-ros2component (0.8.1-1focal) focal; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-ros2component (0.8.0-1focal) focal; urgency=high

  * install resource marker file for packages (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Handle find_container_node_names error (#322 <https://github.com/ros2/ros2cli/issues/322>)
  * Update setup.py version (#331 <https://github.com/ros2/ros2cli/issues/331>)
  * install package manifest (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Use of -r/--remap flags where appropriate. (#325 <https://github.com/ros2/ros2cli/issues/325>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, ivanpauno

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-ros2component (0.7.4-1focal) focal; urgency=high

  * [ros2component] Stop the standalone container when load fails (#269 <https://github.com/ros2/ros2cli/issues/269>)
  * fix service names to contain 'srv' namespace part (#249 <https://github.com/ros2/ros2cli/issues/249>)
  * Contributors: Dirk Thomas, Michael Carroll

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-ros2component (0.7.3-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-ros2component (0.7.2-1focal) focal; urgency=high

  * add xmllint linter test (#232 <https://github.com/ros2/ros2cli/issues/232>)
  * fix name of standalone verb (#227 <https://github.com/ros2/ros2cli/issues/227>)
  * Improve ros2 component CLI (#226 <https://github.com/ros2/ros2cli/issues/226>)
  * Contributors: Michel Hidalgo, Mikael Arguedas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 08 May 2019 00:00:00 -0000

ros-foxy-ros2component (0.7.1-1focal) focal; urgency=high

  * Fix component package version.
  * Fix component arguments to be inline with service. (#220 <https://github.com/ros2/ros2cli/issues/220>)

